/* gnome-napster, a GNOME Napster client.
 * Copyright (C) 1999 Evan Martin <eeyem@u.washington.edu>
 */
///////////////////////////////////////////////
#ifdef WITH_APPLET
	#include <applet-widget.h>
#else
	#include <gnome.h>
#endif
//////////////////////////////////////////////////
#include <unistd.h>
#include <stdio.h>
/*#include <sys/param.h>*/
#include "ui.h"
#include "gconfig.h"
#include "util.h"
#include "config.h"
#include "download_ui.h"
#include "download_thread.h"
#include "login.h"
extern int g_quiet;
static struct poptOption options[] = {
	{ "quiet", 'q', POPT_ARG_NONE, &g_quiet, 0,  
		"Suppress all output.  (Not recommended!)", NULL },
	{ NULL, 0, 0, NULL, 0, NULL, NULL }
};

int main(int argc, char*argv[]) {
	char *final_path;
	char pending_path[MAX_PATH_LENGTH];
	gint local_port;
	gint max_downloads;

	if (!g_thread_supported()) g_thread_init(NULL);

	/////////////////////////////////////////////////////////////////////
#ifdef WITH_APPLET
	applet_widget_init( PACKAGE, VERSION, argc, argv, options, 0, NULL );
#else
	gnome_init_with_popt_table(PACKAGE, VERSION, argc, argv, options, 0, NULL);
#endif
	/////////////////////////////////////////////////////////////////////

	/* read configuration */

	/* chroot? */
	/*if (chdir("dl/") < 0) {
		perror("chdir"); return -1;
	}*/
	/*if (chroot(".") < 0) {
		perror("chroot"); return -1;
	}*/
	/*getcwd(buf, PATH_MAX);
	printf("cwd: %s\n", buf);*/
	
	ui_run();       /* start ui */

	gdk_threads_enter();

	final_path = gnome_config_get_string(CONFIG_PREFIX "/Paths/Download");
	sprintf(pending_path, "%s/pending", final_path);

	///////////////////////////////////////////////////
#ifdef WITH_APPLET
	setup_applet();
#endif
	/////////////////////////////////////////////////////
	local_port=gnome_config_get_int(CONFIG_PREFIX "/Login/DataPort");
	max_downloads=gnome_config_get_int(
				CONFIG_PREFIX "/Network/MaxGlobalDL");
	transfer_threads_init(local_port, max_downloads, pending_path, final_path);
	g_free(final_path);
	g_timeout_add(1000, download_ui_update, NULL);	
	init_login(NULL, NULL);
	//////////////////////////////////////////
#ifdef WITH_APPLET
	applet_widget_gtk_main();
#else
	gtk_main();
#endif
	////////////////////////////////////////////
	gdk_threads_leave();
	host_login_status(FALSE);
	transfer_threads_destroy();
	
	return 0;
}
