#ifndef SONGINFO_H
#define SONGINFO_H

#define CHECKSUM_LENGTH 64
#define HOST_LENGTH	20
#define TITLE_LENGTH	256

typedef struct {
	char title[TITLE_LENGTH];
	char checksum[CHECKSUM_LENGTH];
	unsigned long size;
	int bitrate, samprate, time;
	char host[HOST_LENGTH];
	unsigned long ip;
	int conn;

	int pathshift;
	int row;
	int index;
} ssong_info;

extern ssong_info* songinfo_new(void);
extern gint songinfo_compare_size(GtkCList *clist, 
		gconstpointer row1, gconstpointer row2);
extern gint songinfo_compare_time(GtkCList *clist, 
		gconstpointer row1, gconstpointer row2);
extern gint songinfo_compare_bitrate(GtkCList *clist, 
		gconstpointer row1, gconstpointer row2);
extern gint songinfo_compare_connection(GtkCList *clist, 
		gconstpointer row1, gconstpointer row2);
extern GtkWidget* songinfo_arrow_button_new(GtkWidget *base, int left);

#endif SONGINFO_H
