#ifndef __UPLOAD_THREAD_H__
#define __UPLOAD_THREAD_H__
#include "download_thread.h"
typedef struct
{
	char actual_filename[MAX_PATH_LENGTH];
	char share_filename[MAX_PATH_LENGTH];
	char md5[MAX_HASH_LENGTH];
	long filesize;
	int bitrate;
	int frequency;
	int length;
} share_info;
typedef struct 
{
	char host[MAX_HOST_LENGTH];
	char filename[MAX_PATH_LENGTH];
	char realname[MAX_PATH_LENGTH];
	double kbps;
	long sizecomplete;
	long filesize;
} upload_info;

extern gboolean upload_threads_init(void);
extern gboolean upload_threads_destroy(void);

extern GList *upload_threads_get_uploading_list(void);
extern gboolean upload_threads_stop_upload(char *host, char *filename);
extern gboolean upload_threads_start_upload(int sock, char *host, 
						char *filename, long offset);

extern gboolean upload_threads_add_shared_file(char *filename);
extern gboolean upload_threads_remove_shared_file(char *filename);
extern GList *upload_threads_get_share_list(void);
extern share_info *upload_threads_get_share_info(char *filename);

#endif
